Module java.desktop
Package javax.swing.undo

## Interface StateEditable

-     public interface StateEditable

  StateEditable defines the interface for objects that can have their state undone/redone by a StateEdit.
  See Also:
    `StateEdit`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `RCSID` | Resource ID for this class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `restoreState​(Hashtable<?,​?> state)` | Upon receiving this message the receiver should extract any relevant state out of state.
    `void` | `storeState​(Hashtable<Object,​Object> state)` | Upon receiving this message the receiver should place any relevant state into state.

- - ### Field Detail

    - #### RCSID

          static final String RCSID

      Resource ID for this class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### storeState

          void storeState​(Hashtable<Object,​Object> state)

      Upon receiving this message the receiver should place any relevant state into state.
      Parameters:
        `state` - Hashtable object to store the state

    - #### restoreState

          void restoreState​(Hashtable<?,​?> state)

      Upon receiving this message the receiver should extract any relevant state out of state.
      Parameters:
        `state` - Hashtable object to restore the state from it